CREATE TABLE [dbo].[tblBoxes](
	[box_id] [int] IDENTITY(1,1) NOT NULL,
	[box_name] [varchar](50) NULL,
	[box_location] [varchar](5) NOT NULL,
	[box_order_default] [int] NOT NULL,
	[box_action_type] [varchar](5) NOT NULL,
	[box_action_data] [varchar](255) NOT NULL,
	[permission] [int] NOT NULL,
 CONSTRAINT [PK_tblBoxes] PRIMARY KEY CLUSTERED 
(
	[box_id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY];
ALTER TABLE [dbo].[tblBoxes] ADD  CONSTRAINT [DF_tblBoxes_permission]  DEFAULT ((-1)) FOR [permission];

-- Menu Action Types:
-- X	Execute a custom control
-- F	Read a local file on web server directory
-- W	Web Link to external site
-- DB	Load HTML content from Database from tblBoxDisplay